<!doctype html>
<title>{% block title %}{% endblock %} - Flaskr</title>
<link rel="shortcut icon" href="{{ url_for('static', filename='images/favicon.ico') }}" type="image/ico">
<link rel="stylesheet" href="{{ url_for('static', filename='css/auth.css') }}">
<nav>
  <h1></h1>
  <ul>
    {% if g.user %}
      <li><span>{{ g.user['username'] }}</span>
      <li><a href="{{ url_for('auth_bp.logout') }}">Выйти из системы</a>
    {% else %}
      <li><a href="{{ url_for('auth_bp.register') }}">Создать пользователя</a>
      <li><a href="{{ url_for('auth_bp.login') }}">Войти в систему</a>
    {% endif %}
  </ul>
</nav>
<section class="content">
  <header>
    {% block header %}{% endblock %}
  </header>
  {% for message in get_flashed_messages() %}
    <div class="flash">{{ message }}</div>
  {% endfor %}
  {% block content %}{% endblock %}
</section>